What Are the Minimum Requirements for the Native ScreenCloud Players (Electron)?

Avatar
by Nor Kanjanahattakij
Follow

Hello and thank you for visiting our ScreenCloud Help Center. This article will go through what the minimum requirements are for the native ScreenCloud players (electron). 

Hardware & Operating Systems

Windows

  • An Intel Pentium 4 processor or later that's SSE2 capable
  • 512 MB of RAM
  • Windows 7 and later are supported, older operating systems are not supported (and do not work)
  • Both ia32 (x86) and x64 (amd64) binaries are provided for Windows. Please note, the ARM version of Windows is not supported for now.

Mac

  • An Intel processor that's 64-bit
  • 512 MB of RAM
  • The minimum macOS version supported is macOS 10.9

Linux

  • An Intel Pentium 4 processor or later that's SSE2 capable
  • The prebuilt ia32 (i686) and x64 (amd64) binaries of Electron are built on Ubuntu 12.04, the arm binary is built against ARM v7 with hard-float ABI and NEON for Debian Wheezy.

    Whether the prebuilt binary can run on a distribution depends on whether the distribution includes the libraries that Electron is linked to on the building platform, so only Ubuntu 12.04 is guaranteed to work, but following platforms are also verified to be able to run the prebuilt binaries of Electron:

    • Ubuntu 12.04 and later
    • Fedora 21
    • Debian 8

You can download the native player from https://release.screen.cloud/

 

If you have any additional questions or concerns on what the minimum requirements are for the native ScreenCloud Players (electron), or any other questions or feedback about ScreenCloud, feel free to reach out to our support team at support@screencloud.io or give us a call at +1-415-449-5426, then follow the prompts to reach support.

Comments

0 comments
Please sign in to leave a comment.